-- General Configurations (Any language/Tool)

-- Stripping trailing whitespace on save
vim.api.nvim_create_autocmd("BufWritePre", {
  pattern = { "*" },
  command = [[:%s/\s\+$//e]]
})

-- Standard variables
vim.opt.expandtab = true           -- tabs to spaces
vim.opt.tabstop = 2                -- spaces entered when tab key is pressed
vim.opt.shiftwidth = 2             -- spaces entered for indentation
vim.opt.number = true              -- Line numbering
vim.opt.clipboard = "unnamedplus"  -- Share system clipboard
vim.opt.eol = true                 -- End of line at bottom of file
vim.opt.shiftround = true
vim.opt.list = true
vim.opt.listchars={tab = »·, trail=·}
