-- UI Definitions

vim.cmd [[colorscheme nord]]

-- Helps some themes.
-- This is currently commented out because it messes up tmux.
-- vim.opt.termguicolors = true

-- Always show hidden files in nerdtree
vim.g.NERDTreeShowHidden = 1

require('telescope').setup{
  defaults = {},
  pickers = {
    find_files = {
      theme = "dropdown",
      hidden = true,
      prompt_prefix=🔍,
      file_ignore_patterns = {
        ".git/",
        ".cache",
        "%.o",
        "%.a",
        "%.out",
        "%.class",
        "%.pdf",
        "%.mkv",
        "%.mp4",
        "%.zip"
      },
    }
  },
  extensions = {
    fzf = {
      fuzzy = true,
      override_generic_sorter = true,
      override_file_sorter = true,
      case_mode = "smart_case",
    }
  }
}

require('telescope').load_extension('fzf')
